/** @file locale.c
 *
 * Allgemeine Text-Schnipsel fuer die grafische Benutzerschnittstelle
 *
 * Achtung: Die Zeichencodierung dieser Datei (ANSI) darf nicht gendert werden!
 *
 * $Date: 2020-08-04 11:16:17 +0200 (Di, 04 Aug 2020) $
 * $Revision: 38 $
 *
 * @date 26.02.2016 @author Nicolas */

#include "locale.h"


/** Fehlermeldung: EEPROM-Daten nicht richtig geschrieben */
constflash char LT_EEPROMWRITEFAILED[] =
    "   Fehler 0x%04x\n"\
    "   EEPROM-Daten \n"\
    "   nicht korrekt\n"\
    "   geschrieben";



/** Erfolgsmeldung: EEPROM-Daten richtig geschrieben */
constflash char LT_EEPROMWRITESUCCESS[] =
    "   \n"\
    "   EEPROM-Daten \n"\
    "   korrekt\n"\
    "   geschrieben";


/** Fehlermeldung: EEPROM-Daten nicht richtig gelesen */
constflash char LT_EEPROMREADFAILED[] =
    "\033n"\
    "   Fehler 0x%04x\n"\
    "   EEPROM-Daten \n"\
    "   nicht korrekt";



/** Menu-Textschnipsel: Konstante Strings, die fuer viele Menues gebraucht werden */
constflash char MT_NULL[]            = {'\0'};
constflash char MT_RETURN[]          = "zurck";
constflash char MT_YES[]             = "Ja";
constflash char MT_OK[]              = "OK";
constflash char MT_NO[]              = "Nein";
constflash char MT_CANCEL[]          = "Abbrechen";
constflash char MT_ABORT[]           = "Abbrechen";
constflash char MT_RETRY[]           = "Nochmal versuchen";
constflash char MT_CONTINUE[]        = "Weiter";
constflash char MT_USEDEFAULT[]      = "Defaultwerte";
constflash char MT_SAVEANDRET[]      = "\033vspeichern\033f&\033vzurck\033f";
constflash char MT_RETURN_NOT_SAVE[] = "weiter o. speichern";
constflash char MT_QUIT[]            = "Beenden";
constflash char LT_PRESSKEYTOLEAVE[] = "Beenden mit Taster";


