/** @file u8g2_fontdata_icons.c
 *
 * Piktogramme
 *
 * Auszuege aus dem Font open_iconic_all (in den Groessen 4x und 2x) ergaenzt um einzelne
 * selbstgemalte Piktogramme der gleichen Groesse und Funktionen zur unkomplizierten Darstellung.
 * Die Piktogramme sind 16x16 und 32x32 Pixel gross. Die Zeichen sind unterschiedlich. Die Zeichen,
 * die in beiden Saetzen vorhanden sind, sind an den gleichen Unicode-Positionen.
 *
 * Fontname: open_iconic_all_4x
 * Fontname: open_iconic_all_2x
 * Copyright: https://github.com/iconic/open-iconic, SIL OPEN FONT LICENSE
 * Glyphs: 1/2
 * BBX Build Mode: 0
 *
 * $Date: 2020-08-04 11:51:48 +0200 (Di, 04 Aug 2020) $
 * $Revision: 39 $
 *
 * @date 13.04.2018 @author Nicolas */

#include "u8g2_fontdata_icons.h"



/** Kleine Piktogramme 16x16 Pixel
  - werden hier nicht benoetigt, deswegen der Speicherplatz gespart */
const uint8_t open_iconic_selection_2x[27] U8G2_FONT_SECTION("open_iconic_selection_2x") =
  "\0\0\2\2\0\0\0\0\0\354\360\364\370 \0 \0\0\0\0\0\0\2\0\0\0";



/** Grosse Piktogramme 32x32 Pixel
  - werden hier nicht benoetigt, deswegen der Speicherplatz gespart */
const uint8_t open_iconic_selection_4x[27] U8G2_FONT_SECTION("open_iconic_selection_4x") =
  "\0\0\2\2\0\0\0\0\0\354\360\364\370 \0 \0\0\0\0\0\0\2\0\0\0";
