/** @file u8g2_fontdata_icons.h
 *
 * Piktogramme
 *
 * Auszuege aus dem Font open_iconic_all (in den Groessen 4x und 2x) ergaenzt um einzelne
 * selbstgemalte Piktogramme der gleichen Groesse und Funktionen zur unkomplizierten Darstellung.
 * Die Piktogramme sind 16x16 und 32x32 Pixel gross. Die Zeichen sind unterschiedlich. Die Zeichen,
 * die in beiden Saetzen vorhanden sind, sind an den gleichen Unicode-Positionen.
 *
 * Fontname: open_iconic_all_4x
 * Fontname: open_iconic_all_2x
 * Copyright: https://github.com/iconic/open-iconic, SIL OPEN FONT LICENSE
 * Glyphs: 1/2
 * BBX Build Mode: 0
 *
 * $Date: 2020-08-12 14:11:34 +0200 (Mi, 12 Aug 2020) $
 * $Revision: 63 $
 *
 * @date 13.04.2018 @author Nicolas */



#ifndef U8G2_FONTDATA_ICONS_H_INCLUDED
    #define U8G2_FONTDATA_ICONS_H_INCLUDED

    #include "u8g2_fontdata.h"

    extern const uint8_t open_iconic_selection_2x[];
    extern const uint8_t open_iconic_selection_4x[];




    /** Unicode-Tabelle fuer die Piktogramme */
    enum iconic_selection_unicode_e
    {
        icon_none = 0U,
    };

#endif


