/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */




#include "rect.h"
#include "nstdint.h"
#include "unity_fixture.h"


TEST_GROUP(rect);
TEST_SETUP(rect) {}
TEST_TEAR_DOWN(rect) {}

TEST_GROUP_RUNNER(rect)
{
    RUN_TEST_CASE(rect, token);
}




TEST(rect, token)
{
    Rect_t R0 = {10, 13, 20, 11};
    Rect_t Rt;

    Rt = rect_token(&R0, 113 );
    TEST_ASSERT_EQUAL(  10, Rt.x );
    TEST_ASSERT_EQUAL(  13, Rt.y );
    TEST_ASSERT_EQUAL(  20, Rt.w );
    TEST_ASSERT_EQUAL(   5, Rt.h );

    TEST_ASSERT_EQUAL(  10, R0.x );
    TEST_ASSERT_EQUAL(  18, R0.y );
    TEST_ASSERT_EQUAL(  20, R0.w );
    TEST_ASSERT_EQUAL(   6, R0.h );

    Rt = rect_token(&R0, 113 );
    TEST_ASSERT_EQUAL(  10, Rt.x );
    TEST_ASSERT_EQUAL(  18, Rt.y );
    TEST_ASSERT_EQUAL(  20, Rt.w );
    TEST_ASSERT_EQUAL(   5, Rt.h );

    TEST_ASSERT_EQUAL(  10, R0.x );
    TEST_ASSERT_EQUAL(  23, R0.y );
    TEST_ASSERT_EQUAL(  20, R0.w );
    TEST_ASSERT_EQUAL(   1, R0.h );

    Rt = rect_token(&R0, 113 );
    TEST_ASSERT_EQUAL(  10, Rt.x );
    TEST_ASSERT_EQUAL(  23, Rt.y );
    TEST_ASSERT_EQUAL(  20, Rt.w );
    TEST_ASSERT_EQUAL(   1, Rt.h );

    TEST_ASSERT_EQUAL(   0, R0.x );
    TEST_ASSERT_EQUAL(   0, R0.y );
    TEST_ASSERT_EQUAL(   0, R0.w );
    TEST_ASSERT_EQUAL(   0, R0.h );

    Rt = rect_token(&R0, 113 );
    TEST_ASSERT_EQUAL(   0, Rt.x );
    TEST_ASSERT_EQUAL(   0, Rt.y );
    TEST_ASSERT_EQUAL(   0, Rt.w );
    TEST_ASSERT_EQUAL(   0, Rt.h );

    TEST_ASSERT_EQUAL(   0, R0.x );
    TEST_ASSERT_EQUAL(   0, R0.y );
    TEST_ASSERT_EQUAL(   0, R0.w );
    TEST_ASSERT_EQUAL(   0, R0.h );

    Rt = rect_token(&R0, 113 );
    TEST_ASSERT_EQUAL(   0, Rt.x );
    TEST_ASSERT_EQUAL(   0, Rt.y );
    TEST_ASSERT_EQUAL(   0, Rt.w );
    TEST_ASSERT_EQUAL(   0, Rt.h );

    TEST_ASSERT_EQUAL(   0, R0.x );
    TEST_ASSERT_EQUAL(   0, R0.y );
    TEST_ASSERT_EQUAL(   0, R0.w );
    TEST_ASSERT_EQUAL(   0, R0.h );
}







