/** @file gfx_draw_circles.h
 *
 * Grafikfunktionen fuer GLCD und TFT: Kreise
 *
 * Die Funktionen eigenen sich fuer Farb- und Monochrom-LCD gleichermassen, da der Farbvektor
 * einfach an die Low-Level-Grafikfunktion durchgereicht wird.
 *
 * $Date: 2020-08-02 19:08:25 +0200 (So, 02 Aug 2020) $
 * $Revision: 32 $
 *
 * @date 4.11.2017 @author Nicolas */

#ifndef GFX_DRAW_CIRCLES_H
    #define GFX_DRAW_CIRCLES_H

    #include "coord.h"
    #include "color.h"

    void drawCircleQuadrant(Coord2_t Center, ifast16_t radius, ufast8_t quadrant, Colors_t Color);
    void drawCircle(Coord2_t center, int radius, color_t color);


#endif
