/** @file mocksdl_display.h
 *
 * Einfache Emulation des Displayverhaltens ueber SDL2
 *
 * Die Emulation beschraenkt sich darauf, den Displaypuffer grafiscsh
 * darzustellen. Das Timing und die tatsaechliche Kommunikation mit dem GLCD
 * wird nicht beruecksichtigt. Ausserdem funktioniert nur der Modus mit
 * DISPLAYBUFFER.
 *
 * $Date: 2020-08-13 11:28:54 +0200 (Do, 13 Aug 2020) $
 * $Revision: 68 $
 *
 * @date 19.04.2015 @author Nicolas */


#ifndef MOCKSDL_DISPLAY_H
	#define MOCKSDL_DISPLAY_H

    #include "nstdlib.h"

	exit_t mocksdl_display_init(void);
	void mocksdl_display_deinit(void);

#endif
