/** @file mocksdl_timer.h
 *
 * Einfache Emulation von Timern ueber SDL2
 *
 * Der Timer kann primaer dazu verwendet werden, Teile der Hardware zu
 * simulieren oder emulieren, ohne dass der Kontrollfluss angepasst werden muss.
 *
 * $Date: 2020-08-12 16:39:52 +0200 (Mi, 12 Aug 2020) $
 * $Revision: 66 $
 *
 * @date 20.04.2015 @author Nicolas
 */


#ifndef MOCK_TIMER_H
	#define MOCK_TIMER_H

	void mocksdl_timer_init(void);
    void mocksdl_timer_deinit(void);

#endif
