/** @file nstdlib.h
 *
 * Plattformspezifische Varianten/Ergaenzungen zur <stdlib.h>
 *
 * @date 28.11.2017 @author: Nicolas */

#ifndef NSTDLIB_H_INCLUDED
    #define NSTDLIB_H_INCLUDED

    #include <stdlib.h>
    #include <stdint.h>

    typedef uint_fast8_t exit_t;


    #ifdef AVR
        /* AVR-stdlib hat kein EXIT_SUCCESS/EXIT_FAILURE */
        #define EXIT_SUCCESS 0
        #define EXIT_FAILURE 1
    #endif

#endif
