/** @file text_field.h
 *
 * Textfelder, Tabellen
 *
 * $Date: 2020-06-17 11:20:09 +0200 (Mi, 17 Jun 2020) $
 * $Revision: 12 $
 *
 * @date 14.03.2018 @author Nicolas */

#ifndef TEXT_FIELD_H
    #define TEXT_FIELD_H

    #include "rect.h"

    Rect_t textfield(Rect_t R, char const* s, enum rect_orientation_e orientation);

    exit_t textarray(Rect_t R, char const* s, uint8_t const* format, uint16_t const* cellwidth, uint16_t n);
    exit_t uarray16_stretchDistance(uint16_t *widtharray, uint16_t n, uint16_t totalWidth);
    exit_t formatString2array(uint8_t *align, char *formatstring, ufast8_t n );

#endif
