/** @file Utest_all.h
 *
 * Sammlung Signaturen alls User-Tests (eher ein frommer Wunsch als vollstaendig)
 *
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 *
 * @date 12.02.2020 @author Nicolas */



#ifndef UTEST_ALL_H_INCLUDED
    #define UTEST_ALL_H_INCLUDED

    void Utest_cropBitmap(void);

    void Utest_font_lineBBx(void);

    void Utest_u8g2_decoder(void);
    void Utest_u8g2_boundingBox(void);

    void Utest_allCharsOfImportantFonts(void);
    void Utest_textfield(void);
    void Utest_textarray(void);
    void Utest_fontBoundingBox(void);

    int runUnityUnittests(void);
    void Utest_delay_ns(void);
    void Utest_delay_us(void);
    void Utest_delay_ms(void);
    void i2c_reset_all(void);

    void Utest_buttonTime(void);

    void Utest_pulsegen_setFrequency(void);

#endif /* UTEST_ALL_H_INCLUDED */
