/*
 * $Date: 2020-08-02 19:08:25 +0200 (So, 02 Aug 2020) $
 * $Revision: 32 $
 */




#include "color.h"
#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "nstdint.h"
    #include "unity_fixture.h"

    TEST_GROUP(color);
    TEST_SETUP(color) {}
    TEST_TEAR_DOWN(color) {}

    TEST_GROUP_RUNNER(color)
    {
        RUN_TEST_CASE(color, mix);
    }


    TEST(color, mix)
    {
        TEST_ASSERT_EQUAL_HEX( black, color_interpolate((Colors_t) {black, white}, 256) );
        TEST_ASSERT_EQUAL_HEX( white, color_interpolate((Colors_t) {black, white}, 0) );

        // Grau wird wegen Rundungsfehler nicht exakt getroffen
        //TEST_ASSERT_EQUAL_HEX( color_rgb16to24(gray), color_rgb16to24(color_mix((Colors_t) {white, black}, 64)) );
        //TEST_ASSERT_EQUAL_HEX( gray, color_mix((Colors_t) {black, white}, 64) );
    }


#else
    typedef int this_is_no_empty_translation_unit;

#endif




