/** @file gfx_draw_diagrams.h
 *
 * Grafikfunktionen fuer GLCD und TFT: Einfache zweifarbige Diagramme
 *
 * Die Funktionen eigenen sich fuer Farb- und Monochrom-LCD gleichermassen, da der Farbvektor
 * einfach an die Low-Level-Grafikfunktion durchgereicht wird.
 *
 * $Date: 2020-08-02 19:08:25 +0200 (So, 02 Aug 2020) $
 * $Revision: 32 $
 *
 * @date 29.03.2018 @author Nicolas */

#ifndef GFX_DRAW_DIAGRAMS_H_INCLUDED
    #define GFX_DRAW_DIAGRAMS_H_INCLUDED

    #include "color.h"
    #include "rect.h"


    void drawBoundingBox(Coord2_t Pos, Rect_t BB, Colors_t Color);


#endif
