/*
 * $Date: 2020-08-01 09:01:46 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 27 $
 */


#include "sw_config.h"



#if defined( INCLUDE_UNIT_TESTS )

    #include "pushbutton_time.h"
    #include "unity_fixture.h"


    TEST_GROUP(pushbutton_time);
    TEST_SETUP(pushbutton_time) {}
    TEST_TEAR_DOWN(pushbutton_time) {}

    TEST_GROUP_RUNNER(pushbutton_time)
    {
        RUN_TEST_CASE(pushbutton_time, overflow);
    }


    TEST(pushbutton_time, overflow)
    {
        for( uint32_t i = 0; i< UINT16_MAX; i++ )
        {
            buttonTime_poll();
        }
        int16_t v = buttonTime_get();
        TEST_ASSERT( v == INT16_MAX || v == INT16_MIN );
    }


#else
    typedef int this_is_no_empty_translation_unit;
#endif










