/** @file crc.h
 *
 * Berechnung von CRC16 mit fixem Generatorpolynom
 *
 * Berechnung eines:
 *  - CRC16 mit dem Generatorpolynom 0xA001
 *
 * @date 08.03.2014 @author Nicolas */


#ifndef CRC_H
    #define CRC_H

    #include <stdint.h>

    uint16_t crc16_calc(const uint8_t *buffer, uint8_t buffersize);


#endif /* CRC_H */
