/** @file menue_templates.h
 *
 * Vorlagen fuer unterschiedliche Menues und ihre Darstellung
 *
 *  * Farbwahl
 *  * Steuerung
 *  * Startfunktion
 *
 * $Date: 2020-08-01 14:50:02 +0200 (Sa, 01 Aug 2020) $
 * $Revision: 29 $
 *
 * @date 12.03.2018 @author Nicolas */


#ifndef MENUE_TEMPLATES_H
    #define MENUE_TEMPLATES_H

    #include "pgmspace.h"
    #include "menu_color.h"

    constflash Menucolor_t ColorScheme_dark;
    constflash Menucolor_t ColorScheme_light;
    constflash Menucolor_t ColorScheme_testbench;
    constflash Menucolor_t ColorScheme_Monochrome;

    constflash Menucontrol_t Menucontrol_standard;
    constflash Menudimension_t Menudimension_standard;
    constflash Menudimension_t Menudimension_nokiaLcd;

    constflash Menuconfig_t MenuConfig_Main;


    bool getAction(void);


#endif // MENUE_TEMPLATES_H
